<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>ClientKernel | Bitcoin one way channel</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">Bitcoin one way channel</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="clientkernel.html">ClientKernel</a>
				</li>
			</ul>
			<h1>Class ClientKernel</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>This class is used by the client to interact with the core channel logic.</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<a href="kernel.html" class="tsd-signature-type">Kernel</a>
						<ul class="tsd-hierarchy">
							<li>
								<span class="target">ClientKernel</span>
							</li>
						</ul>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite"><a href="clientkernel.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="clientkernel.html#_accountid" class="tsd-kind-icon">_account<wbr>Id</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="clientkernel.html#_adapter" class="tsd-kind-icon">_adapter</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="clientkernel.html#_blocksinfuture" class="tsd-kind-icon">_blocks<wbr>InFuture</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><a href="clientkernel.html#_clientaccpriv" class="tsd-kind-icon">_client<wbr>Acc<wbr>Priv</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="clientkernel.html#_clientaccpub" class="tsd-kind-icon">_client<wbr>Acc<wbr>Pub</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><a href="clientkernel.html#_fundingroot" class="tsd-kind-icon">_funding<wbr>Root</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="clientkernel.html#_network" class="tsd-kind-icon">_network</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected"><a href="clientkernel.html#_serveraccpub" class="tsd-kind-icon">_server<wbr>Acc<wbr>Pub</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="clientkernel.html#multisig" class="tsd-kind-icon">multisig</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="clientkernel.html#revpubkey" class="tsd-kind-icon">rev<wbr>Pubkey</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="clientkernel.html#derivefundingnode" class="tsd-kind-icon">derive<wbr>Funding<wbr>Node</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="clientkernel.html#getadapter" class="tsd-kind-icon">get<wbr>Adapter</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="clientkernel.html#getblocksinfuture" class="tsd-kind-icon">get<wbr>Blocks<wbr>InFuture</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="clientkernel.html#getnetwork" class="tsd-kind-icon">get<wbr>Network</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="clientkernel.html#setblocksinfuture" class="tsd-kind-icon">set<wbr>Blocks<wbr>InFuture</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><a href="clientkernel.html#signutxos" class="tsd-kind-icon">sign<wbr>Utxos</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static"><a href="clientkernel.html#signutxos-1" class="tsd-kind-icon">sign<wbr>Utxos</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite">
						<li class="tsd-signature tsd-kind-icon">new <wbr>Client<wbr>Kernel<span class="tsd-signature-symbol">(</span>clientKey<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, serverKey<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, accountId<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, net<span class="tsd-signature-symbol">?: </span><a href="../globals.html#networkname" class="tsd-signature-type">NetworkName</a>, api<span class="tsd-signature-symbol">?: </span><a href="../globals.html#apiname" class="tsd-signature-type">ApiName</a>, blocksInFuture<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="clientkernel.html" class="tsd-signature-type">ClientKernel</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Overrides <a href="kernel.html">Kernel</a>.<a href="kernel.html#constructor">constructor</a></p>
								<ul>
									<li>Defined in lib/kernel/ClientKernel.ts:92</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Create channel used to interact with the client and server.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>clientKey: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the client root key in base58</p>
										</div>
									</div>
								</li>
								<li>
									<h5>serverKey: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the server public key for the
											same path m/44&#39;/0&#39;/[accountId]&#39;</p>
										</div>
									</div>
								</li>
								<li>
									<h5>accountId: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the channel id between the client and the
											server</p>
										</div>
									</div>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> net: <a href="../globals.html#networkname" class="tsd-signature-type">NetworkName</a><span class="tsd-signature-symbol"> =&nbsp;&quot;testnet&quot;</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the network identifier</p>
										</div>
									</div>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> api: <a href="../globals.html#apiname" class="tsd-signature-type">ApiName</a><span class="tsd-signature-symbol"> =&nbsp;&quot;btcrpc&quot;</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the api used to query the network</p>
										</div>
									</div>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> blocksInFuture: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> =&nbsp;10</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the locktime used for the channel</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="clientkernel.html" class="tsd-signature-type">ClientKernel</a></h4>
							<p>the channel used to interact with the server</p>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="_accountid" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _account<wbr>Id</h3>
					<div class="tsd-signature tsd-kind-icon">_account<wbr>Id<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#_accountid">_accountId</a></p>
						<ul>
							<li>Defined in lib/kernel/Kernel.ts:42</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The account id is a private integer greater than 3 used in the derivation
								path of the HDNode to generate the keys used in the channel. The account
							id is also the channel id between the client and the server.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="_adapter" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _adapter</h3>
					<div class="tsd-signature tsd-kind-icon">_adapter<span class="tsd-signature-symbol">:</span> <a href="../interfaces/requestapi.html" class="tsd-signature-type">RequestApi</a></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#_adapter">_adapter</a></p>
						<ul>
							<li>Defined in lib/kernel/Kernel.ts:37</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The private request api object point to the choosen api define at the
							construction of the object. It cannot be change after.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="_blocksinfuture" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _blocks<wbr>InFuture</h3>
					<div class="tsd-signature tsd-kind-icon">_blocks<wbr>InFuture<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#_blocksinfuture">_blocksInFuture</a></p>
						<ul>
							<li>Defined in lib/kernel/Kernel.ts:78</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>the locktime used for the channel</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-protected">
					<a name="_clientaccpriv" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _client<wbr>Acc<wbr>Priv</h3>
					<div class="tsd-signature tsd-kind-icon">_client<wbr>Acc<wbr>Priv<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">HDNode</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in lib/kernel/ClientKernel.ts:82</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The client private account stores the base node generate from the root
							node with the givent account id.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="_clientaccpub" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _client<wbr>Acc<wbr>Pub</h3>
					<div class="tsd-signature tsd-kind-icon">_client<wbr>Acc<wbr>Pub<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">HDNode</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#_clientaccpub">_clientAccPub</a></p>
						<ul>
							<li>Defined in lib/kernel/Kernel.ts:46</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The client public account stores the client node for the same path
							to derive the client public&#39;s key.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-protected">
					<a name="_fundingroot" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _funding<wbr>Root</h3>
					<div class="tsd-signature tsd-kind-icon">_funding<wbr>Root<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">HDNode</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in lib/kernel/ClientKernel.ts:85</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The client funding node, used to prefund a client controlled account.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="_network" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _network</h3>
					<div class="tsd-signature tsd-kind-icon">_network<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">Network</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#_network">_network</a></p>
						<ul>
							<li>Defined in lib/kernel/Kernel.ts:33</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The network object is a private reference used to create the transaction
								for the right network. The network is set at the construction of the object
							an cannot be change after.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
					<a name="_serveraccpub" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagProtected">Protected</span> _server<wbr>Acc<wbr>Pub</h3>
					<div class="tsd-signature tsd-kind-icon">_server<wbr>Acc<wbr>Pub<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">HDNode</span></div>
					<aside class="tsd-sources">
						<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#_serveraccpub">_serverAccPub</a></p>
						<ul>
							<li>Defined in lib/kernel/Kernel.ts:50</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The server public account stores the server node for the same path
							to derive the server public&#39;s key.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="multisig" class="tsd-anchor"></a>
					<h3>multisig</h3>
					<div class="tsd-signature tsd-kind-icon">multisig<span class="tsd-signature-symbol">:</span> <a href="multisigclient.html" class="tsd-signature-type">MultisigClient</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in lib/kernel/ClientKernel.ts:92</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="revpubkey" class="tsd-anchor"></a>
					<h3>rev<wbr>Pubkey</h3>
					<div class="tsd-signature tsd-kind-icon">rev<wbr>Pubkey<span class="tsd-signature-symbol">:</span> <a href="revpubkeyclient.html" class="tsd-signature-type">RevPubkeyClient</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in lib/kernel/ClientKernel.ts:91</li>
						</ul>
					</aside>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="derivefundingnode" class="tsd-anchor"></a>
					<h3>derive<wbr>Funding<wbr>Node</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">derive<wbr>Funding<wbr>Node<span class="tsd-signature-symbol">(</span>i<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">HDNode</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/kernel/ClientKernel.ts:163</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Generate an address controlled by the client. Used in the demo to get
									funds in a controlled address before funding the multisig address.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>i: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the index of the multisig address</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">HDNode</span></h4>
							<p>the derived node</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="getadapter" class="tsd-anchor"></a>
					<h3>get<wbr>Adapter</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Adapter<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../interfaces/requestapi.html" class="tsd-signature-type">RequestApi</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#getadapter">getAdapter</a></p>
								<ul>
									<li>Defined in lib/kernel/Kernel.ts:142</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return the configured adapter. Used by the other library to get utxos and
									fees.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <a href="../interfaces/requestapi.html" class="tsd-signature-type">RequestApi</a></h4>
							<p>the request api proxy already configured</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="getblocksinfuture" class="tsd-anchor"></a>
					<h3>get<wbr>Blocks<wbr>InFuture</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Blocks<wbr>InFuture<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#getblocksinfuture">getBlocksInFuture</a></p>
								<ul>
									<li>Defined in lib/kernel/Kernel.ts:127</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return the value of blocksInFuture.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="getnetwork" class="tsd-anchor"></a>
					<h3>get<wbr>Network</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">get<wbr>Network<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Network</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#getnetwork">getNetwork</a></p>
								<ul>
									<li>Defined in lib/kernel/Kernel.ts:134</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return the configured Network.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Network</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="setblocksinfuture" class="tsd-anchor"></a>
					<h3>set<wbr>Blocks<wbr>InFuture</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">set<wbr>Blocks<wbr>InFuture<span class="tsd-signature-symbol">(</span>blocksInFuture<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">this</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#setblocksinfuture">setBlocksInFuture</a></p>
								<ul>
									<li>Defined in lib/kernel/Kernel.ts:163</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Set the locktime blocksInFuture with a new number and return the object.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>blocksInFuture: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the new value for the locktime</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">this</span></h4>
							<p>return this</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
					<a name="signutxos" class="tsd-anchor"></a>
					<h3>sign<wbr>Utxos</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
						<li class="tsd-signature tsd-kind-icon">sign<wbr>Utxos<span class="tsd-signature-symbol">(</span>utxos<span class="tsd-signature-symbol">: </span><a href="../interfaces/utxo.html" class="tsd-signature-type">Utxo</a><span class="tsd-signature-symbol">[]</span>, wif<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../interfaces/utxoandwif.html" class="tsd-signature-type">UtxoAndWif</a><span class="tsd-signature-symbol">[]</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#signutxos">signUtxos</a></p>
								<ul>
									<li>Defined in lib/kernel/Kernel.ts:168</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>utxos: <a href="../interfaces/utxo.html" class="tsd-signature-type">Utxo</a><span class="tsd-signature-symbol">[]</span></h5>
								</li>
								<li>
									<h5>wif: <span class="tsd-signature-type">string</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="../interfaces/utxoandwif.html" class="tsd-signature-type">UtxoAndWif</a><span class="tsd-signature-symbol">[]</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
					<a name="signutxos-1" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> sign<wbr>Utxos</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">sign<wbr>Utxos<span class="tsd-signature-symbol">(</span>utxos<span class="tsd-signature-symbol">: </span><a href="../interfaces/utxo.html" class="tsd-signature-type">Utxo</a><span class="tsd-signature-symbol">[]</span>, wif<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="../interfaces/utxoandwif.html" class="tsd-signature-type">UtxoAndWif</a><span class="tsd-signature-symbol">[]</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<p>Inherited from <a href="kernel.html">Kernel</a>.<a href="kernel.html#signutxos-1">signUtxos</a></p>
								<ul>
									<li>Defined in lib/kernel/Kernel.ts:111</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>utxos: <a href="../interfaces/utxo.html" class="tsd-signature-type">Utxo</a><span class="tsd-signature-symbol">[]</span></h5>
								</li>
								<li>
									<h5>wif: <span class="tsd-signature-type">string</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="../interfaces/utxoandwif.html" class="tsd-signature-type">UtxoAndWif</a><span class="tsd-signature-symbol">[]</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class">
						<a href="clientkernel.html" class="tsd-kind-icon">Client<wbr>Kernel</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class tsd-is-overwrite">
								<a href="clientkernel.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="clientkernel.html#_accountid" class="tsd-kind-icon">_account<wbr>Id</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="clientkernel.html#_adapter" class="tsd-kind-icon">_adapter</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="clientkernel.html#_blocksinfuture" class="tsd-kind-icon">_blocks<wbr>InFuture</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-protected">
								<a href="clientkernel.html#_clientaccpriv" class="tsd-kind-icon">_client<wbr>Acc<wbr>Priv</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="clientkernel.html#_clientaccpub" class="tsd-kind-icon">_client<wbr>Acc<wbr>Pub</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-protected">
								<a href="clientkernel.html#_fundingroot" class="tsd-kind-icon">_funding<wbr>Root</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="clientkernel.html#_network" class="tsd-kind-icon">_network</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-inherited tsd-is-protected">
								<a href="clientkernel.html#_serveraccpub" class="tsd-kind-icon">_server<wbr>Acc<wbr>Pub</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="clientkernel.html#multisig" class="tsd-kind-icon">multisig</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="clientkernel.html#revpubkey" class="tsd-kind-icon">rev<wbr>Pubkey</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="clientkernel.html#derivefundingnode" class="tsd-kind-icon">derive<wbr>Funding<wbr>Node</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="clientkernel.html#getadapter" class="tsd-kind-icon">get<wbr>Adapter</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="clientkernel.html#getblocksinfuture" class="tsd-kind-icon">get<wbr>Blocks<wbr>InFuture</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="clientkernel.html#getnetwork" class="tsd-kind-icon">get<wbr>Network</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="clientkernel.html#setblocksinfuture" class="tsd-kind-icon">set<wbr>Blocks<wbr>InFuture</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited">
								<a href="clientkernel.html#signutxos" class="tsd-kind-icon">sign<wbr>Utxos</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-inherited tsd-is-static">
								<a href="clientkernel.html#signutxos-1" class="tsd-kind-icon">sign<wbr>Utxos</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>